| GL Studio C++ Runtime API

Public Member Functions | Protected Attributes | List of all members
GlsPathManager::PathObjectPair Class Reference

`#include <gls_path_manager.h>`

## Public Member Functions
| PathObjectPair ()
| Constructor.
| PathObjectPair (const PathObjectPair &)
| Copy constructor.
| ~PathObjectPair ()
| Destructor.
const PathObjectPair & | operator= (const PathObjectPair &)
void | MakeAttribDict ()
DistiAttribDict & | Attributes ()
void | SetDynamicPathByName (const std::string &name)
std::string | GetDynamicPathName () const
void | SetDynamicPath (GlsDynamicPath *path)
GlsDynamicPath * | GetDynamicPath () const
void | SetObject (DisplayObject *object)
DisplayObject * | GetObject () const
void | SetObjectByName (const std::string &name)
std::string | GetObjectName () const

## Protected Attributes
GlsDynamicPath * | _path
| The path containing the animation data.
DisplayObject * | _object
| The object to be animated by the path.
std::string | _pathName
| The name of the path object.
std::string | _objectName
| The name of the animation target object.
DistiAttribDict * | _attribDict
| The attribute dictionary for the members of this object.

## Detailed Description

The PathObjectPair class. Contains a dynamic path and the object that path animates.

## Member Function Documentation

## ◆ Attributes()

DistiAttribDict & Attributes | ( |  | ) |
| inline

Returns
  A reference to the attribute dictionary for this object.

## ◆ GetDynamicPath()

GlsDynamicPath * GetDynamicPath | ( |  | ) | const
| inline

Returns
  The path in this pair.

## ◆ GetDynamicPathName()

std::string GetDynamicPathName | ( |  | ) | const
| inline

Returns
  The name of the path in this pair.

## ◆ GetObject()

DisplayObject * GetObject | ( |  | ) | const
| inline

Returns
  The target object of this pair.

## ◆ GetObjectName()

std::string GetObjectName | ( |  | ) | const
| inline

Returns
  The name of the target object.

## ◆ MakeAttribDict()

void MakeAttribDict | ( |  | ) |

Populates the attribute dictionary for this object.

Note
  Not normally called by users.

## ◆ operator=()

const PathObjectPair & operator= | ( | const PathObjectPair & |  | ) |

Copy assignment

Returns
  The resulting object (this).

## ◆ SetDynamicPath()

void SetDynamicPath | ( | GlsDynamicPath * | path | ) |
| inline

Assign a new GlsDynamicPath to this pair.

Parameters

  path | The new path to set.

## ◆ SetDynamicPathByName()

void SetDynamicPathByName | ( | const std::string & | name | ) |
| inline

Assign a new GlsDynamicPath to this pair by name.

Parameters

  name | The name of the new path to set.

## ◆ SetObject()

void SetObject | ( | DisplayObject * | object | ) |
| inline

Set the target object of this pair's animation.

Parameters

  object | The new target object to set.

## ◆ SetObjectByName()

void SetObjectByName | ( | const std::string & | name | ) |
| inline

Set the target object of this pair's animation by name.

Parameters

  name | The name of the new target object to set.

The documentation for this class was generated from the following file:

- gls_path_manager.h